## qgis 3.40.11%2Bdfsg

=== src/3d/CMakeLists.txt ===
#############################################################
# sources

set(QGIS_3D_SRCS
  qgs3d.cpp
  qgs3daxis.cpp
  qgs3daxissettings.cpp
  qgsaabb.cpp
  qgsabstract3dengine.cpp
  qgsabstractvectorlayer3drenderer.cpp
  qgs3danimationsettings.cpp
  qgs3dexportobject.cpp
  qgs3dmapexportsettings.cpp
  qgs3dmapscene.cpp
  qgs3dmapsettings.cpp
  qgs3dmaptool.cpp
  qgs3dmapcanvas.cpp
  qgs3drendercontext.cpp
  qgs3dsceneexporter.cpp
  qgs3dutils.cpp
  qgs3dwiredmesh_p.cpp
  qgscameracontroller.cpp
  qgscamerapose.cpp
  qgsfeature3dhandler_p.cpp
  qgsfgutils.cpp
  qgsframegraph.cpp
  qgsgltf3dutils.cpp
  qgsimagetexture.cpp
  qgslayoutitem3dmap.cpp
  qgsoffscreen3dengine.cpp
  qgsraycastingutils.cpp
  qgsrulebased3drenderer.cpp
  qgsrulebasedchunkloader_p.cpp
  qgstessellatedpolygongeometry.cpp
  qgstiledscenechunkloader_p.cpp
  qgstiledscenelayer3drenderer.cpp
  qgstilingscheme.cpp
  qgsvectorlayer3drenderer.cpp
  qgsvectorlayerchunkloader_p.cpp
  qgsmeshlayer3drenderer.cpp
  qgswindow3dengine.cpp
  qgsskyboxentity.cpp
  qgsskyboxsettings.cpp
  qgspostprocessingentity.cpp
  qgsrenderpassquad.cpp
  qgsambientocclusionrenderentity.cpp
  qgsambientocclusionblurentity.cpp
  qgspreviewquad.cpp
  qgsshadowsettings.cpp
  qgscolorramptexture.cpp
  qgsrubberband3d.cpp
  qgsambientocclusionsettings.cpp

  qgspointcloudlayer3drenderer.cpp
  qgspointcloudlayerchunkloader_p.cpp
  qgsvirtualpointcloudentity_p.cpp

  chunks/qgschunkboundsentity_p.cpp
  chunks/qgschunkedentity.cpp
  chunks/qgschunklist_p.cpp
  chunks/qgschunkloader.cpp
  chunks/qgschunknode.cpp
  chunks/qgschunkqueuejob.cpp

  lights/qgsdirectionallightsettings.cpp
  lights/qgslightsource.cpp
  lights/qgspointlightsettings.cpp

  materials/qgsabstractmaterialsettings.cpp
  materials/qgsgoochmaterialsettings.cpp
  materials/qgsmaterial.cpp
  materials/qgsmaterialregistry.cpp
  materials/qgsmetalroughmaterial.cpp
  materials/qgsmetalroughmaterialsettings.cpp
  materials/qgsnullmaterialsettings.cpp
  materials/qgsphongmaterialsettings.cpp
  materials/qgsphongtexturedmaterial.cpp
  materials/qgsphongtexturedmaterialsettings.cpp
  materials/qgssimplelinematerialsettings.cpp
  materials/qgstexturematerial.cpp

  processing/qgs3dalgorithms.cpp
  processing/qgsalgorithmtessellate.cpp

  symbols/qgsbillboardgeometry.cpp
  symbols/qgsline3dsymbol.cpp
  symbols/qgsline3dsymbol_p.cpp
  symbols/qgslinematerial_p.cpp
  symbols/qgslinevertexdata_p.cpp
  symbols/qgsmesh3dsymbol.cpp
  symbols/qgspoint3dbillboardmaterial.cpp
  symbols/qgspoint3dsymbol.cpp
  symbols/qgspoint3dsymbol_p.cpp
  symbols/qgspolygon3dsymbol.cpp
  symbols/qgspolygon3dsymbol_p.cpp
  symbols/qgspointcloud3dsymbol.cpp
  symbols/qgspointcloud3dsymbol_p.cpp

  terrain/qgsdemterraingenerator.cpp
  terrain/qgsdemterraintilegeometry_p.cpp
  terrain/qgsdemterraintileloader_p.cpp
  terrain/qgsflatterraingenerator.cpp
  terrain/qgsonlineterraingenerator.cpp
  terrain/qgsquantizedmeshterraingenerator.cpp
  terrain/qgsterraindownloader.cpp
  terrain/qgsterrainentity.cpp
  terrain/qgsterraingenerator.cpp
  terrain/qgsterraintexturegenerator_p.cpp
  terrain/qgsterraintextureimage_p.cpp
  terrain/qgsterraintileloader.cpp

  mesh/qgsmesh3dgeometry_p.cpp
  mesh/qgsmesh3dentity_p.cpp
  mesh/qgsmesh3dmaterial_p.cpp
  mesh/qgsmeshterraingenerator.cpp
)

set(QGIS_3D_HDRS
  processing/qgs3dalgorithms.h
  qgs3d.h
  qgs3danimationsettings.h
  qgs3daxis.h
  qgs3daxissettings.h
  qgs3dmapscene.h
  qgs3dmapsettings.h
  qgs3dmaptool.h
  qgs3drendercontext.h
  qgs3dmapsceneentity.h
  qgs3dsceneexporter.h
  qgs3dtypes.h
  qgs3dutils.h
  qgs3dmapcanvas.h
  qgs3dwiredmesh_p.h
  qgsaabb.h
  qgsabstract3dengine.h
  qgsabstractvectorlayer3drenderer.h
  qgscameracontroller.h
  qgscamerapose.h
  qgsfgutils.h
  qgsframegraph.h
  qgsgltf3dutils.h
  qgslayoutitem3dmap.h
  qgsmeshlayer3drenderer.h
  qgsoffscreen3dengine.h
  qgsraycastingutils.h
  qgsrulebased3drenderer.h
  qgstessellatedpolygongeometry.h
  qgstiledscenechunkloader_p.h
  qgstiledscenelayer3drenderer.h
  qgstilingscheme.h
  qgsvectorlayer3drenderer.h
  qgswindow3dengine.h
  qgsskyboxentity.h
  qgsskyboxsettings.h
  qgspostprocessingentity.h
  qgspreviewquad.h
  qgsshadowsettings.h
  qgspointcloudlayer3drenderer.h
  qgsrenderpassquad.h
  qgsambientocclusionrenderentity.h
  qgsambientocclusionblurentity.h
  qgsambientocclusionsettings.h

  lights/qgsdirectionallightsettings.h
  lights/qgslightsource.h
  lights/qgspointlightsettings.h

  materials/qgsabstractmaterialsettings.h
  materials/qgsgoochmaterialsettings.h
  materials/qgsmaterial.h
  materials/qgsmaterialregistry.h
  materials/qgsmetalroughmaterial.h
  materials/qgsmetalroughmaterialsettings.h
  materials/qgsnullmaterialsettings.h
  materials/qgsphongmaterialsettings.h
  materials/qgsphongtexturedmaterial.h
  materials/qgsphongtexturedmaterialsettings.h
  materials/qgssimplelinematerialsettings.h
  materials/qgstexturematerial.h

  symbols/qgsbillboardgeometry.h
  symbols/qgsline3dsymbol.h
  symbols/qgsmesh3dsymbol.h
  symbols/qgspoint3dbillboardmaterial.h
  symbols/qgspoint3dsymbol.h
  symbols/qgspolygon3dsymbol.h
  symbols/qgspointcloud3dsymbol.h

  terrain/qgsdemterraingenerator.h
  terrain/qgsflatterraingenerator.h
  terrain/qgsonlineterraingenerator.h
  terrain/qgsquantizedmeshterraingenerator.h
  terrain/qgsterraindownloader.h
  terrain/qgsterraingenerator.h
  terrain/qgsterraintileloader.h
  terrain/qgsterrainentity.h

  chunks/qgschunkloader.h
  chunks/qgschunkqueuejob.h
  chunks/qgschunknode.h
  chunks/qgschunkedentity.h

  mesh/qgsmeshterraingenerator.h
)

set(QGIS_3D_PRIVATE_HDRS
  qgsrulebasedchunkloader_p.h
  qgsvectorlayerchunkloader_p.h
  qgspointcloudlayerchunkloader_p.h
  qgsvirtualpointcloudentity_p.h
  chunks/qgschunkboundsentity_p.h
  chunks/qgschunklist_p.h
  symbols/qgsline3dsymbol_p.h
  symbols/qgslinematerial_p.h
  symbols/qgslinevertexdata_p.h
  symbols/qgspoint3dsymbol_p.h
  symbols/qgspolygon3dsymbol_p.h
  symbols/qgspointcloud3dsymbol_p.h
  terrain/qgsdemterraintilegeometry_p.h
  terrain/qgsdemterraintileloader_p.h
  terrain/qgsterraintexturegenerator_p.h
  terrain/qgsterraintextureimage_p.h
  terrain/qgsterraintileentity_p.h
  mesh/qgsmesh3dentity_p.h
  mesh/qgsmesh3dgeometry_p.h
  mesh/qgsmesh3dmaterial_p.h
  mesh/qgsmeshterraintileloader_p.h
  qgscolorramptexture.h
)

set (QGIS_3D_RCCS  shaders.qrc  ../../resources/3d/textures/textures.qrc)


#############################################################
# qgis_3d library


add_library(qgis_3d SHARED ${QGIS_3D_SRCS} ${QGIS_3D_HDRS} ${QGIS_3D_RCCS} ${QGIS_3D_PRIVATE_HDRS})

# require c++17
target_compile_features(qgis_3d PRIVATE cxx_std_17)

if (BUILD_WITH_QT6)
  target_include_directories(qgis_3d SYSTEM PUBLIC
    ${QT6_3DEXTRA_INCLUDE_DIR}
  )
else()
  target_include_directories(qgis_3d SYSTEM PUBLIC
    ${QT5_3DEXTRA_INCLUDE_DIR}
  )
endif()

target_include_directories(qgis_3d PUBLIC
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/chunks
  ${CMAKE_CURRENT_SOURCE_DIR}/lights
  ${CMAKE_CURRENT_SOURCE_DIR}/materials
  ${CMAKE_CURRENT_SOURCE_DIR}/mesh
  ${CMAKE_CURRENT_SOURCE_DIR}/processing
  ${CMAKE_CURRENT_SOURCE_DIR}/shaders
  ${CMAKE_CURRENT_SOURCE_DIR}/symbols
  ${CMAKE_CURRENT_SOURCE_DIR}/terrain

  ${CMAKE_BINARY_DIR}/src/3d
  ${CMAKE_SOURCE_DIR}/external/delaunator-cpp
  ${CMAKE_SOURCE_DIR}/external/tinygltf
)

if (BUILD_WITH_QT6)
  target_link_libraries(qgis_3d Qt6::3DCore Qt6::3DRender Qt6::3DInput Qt6::3DLogic Qt6::3DExtras)
else()
  target_link_libraries(qgis_3d Qt5::3DCore Qt5::3DRender Qt5::3DInput Qt5::3DLogic Qt5::3DExtras)
endif()

GENERATE_EXPORT_HEADER(
   qgis_3d
   BASE_NAME 3D
   EXPORT_FILE_NAME qgis_3d.h
)

set(QGIS_3D_HDRS ${QGIS_3D_HDRS} ${CMAKE_CURRENT_BINARY_DIR}/qgis_3d.h)

if(NOT APPLE OR NOT QGIS_MACAPP_FRAMEWORK)
  install(FILES ${QGIS_3D_HDRS} DESTINATION ${QGIS_INCLUDE_DIR})
else()
  set_target_properties(qgis_3d PROPERTIES
    # no moc headers, messes up PROPERTIES syntax
    CLEAN_DIRECT_OUTPUT 1
    FRAMEWORK 1
    FRAMEWORK_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}"
    MACOSX_FRAMEWORK_INFO_PLIST "${CMAKE_SOURCE_DIR}/mac/framework.info.plist.in"
    MACOSX_FRAMEWORK_SHORT_VERSION_STRING ${COMPLETE_VERSION}
    MACOSX_FRAMEWORK_IDENTIFIER org.qgis.qgis3_3d
    BUILD_WITH_INSTALL_RPATH TRUE
    PUBLIC_HEADER "${QGIS_3D_HDRS}"
    LINK_FLAGS "${CMAKE_SHARED_LINKER_FLAGS}"
  )
  # generated export header does not get copied with PUBLIC_HEADER files
  add_custom_command(TARGET qgis_3d
    POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy qgis_3d.h
            "${QGIS_OUTPUT_DIRECTORY}/${QGIS_LIB_SUBDIR}/qgis_3d.framework/Headers"
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    DEPENDS qgis_3d.h
  )
endif()

#generate unversioned libs for android
if (NOT ANDROID)
  set_target_properties(qgis_3d PROPERTIES
    VERSION ${COMPLETE_VERSION}
    SOVERSION ${COMPLETE_VERSION}
    )
endif()

target_link_libraries(qgis_3d qgis_core)

# clang-tidy
if(CLANG_TIDY_EXE)
  set_target_properties(
    qgis_3d PROPERTIES
    CXX_CLANG_TIDY "${DO_CLANG_TIDY}"
  )
endif()

# install

install(TARGETS qgis_3d
  RUNTIME DESTINATION ${QGIS_BIN_DIR}
  LIBRARY DESTINATION ${QGIS_LIB_DIR}
  ARCHIVE DESTINATION ${QGIS_LIB_DIR}
  FRAMEWORK DESTINATION ${QGIS_FW_SUBDIR}
  PUBLIC_HEADER DESTINATION ${QGIS_INCLUDE_DIR})

# Mac dev frameworks

if (APPLE AND QGIS_MACAPP_INSTALL_DEV)
  install(TARGETS qgis_3d FRAMEWORK DESTINATION ${QGIS_MACAPP_DEV_PREFIX})
  install(CODE "execute_process(COMMAND install_name_tool -id \"${QGIS_MACAPP_DEV_PREFIX}/qgis_3d.framework/Versions/${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}/qgis_3d\" \"$ENV{DESTDIR}${QGIS_MACAPP_DEV_PREFIX}/qgis_3d.framework/qgis_3d\")")
  install(CODE "execute_process(COMMAND install_name_tool -change \"${CMAKE_INSTALL_NAME_DIR}/qgis_core.framework/Versions/${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}/qgis_core\" \"${QGIS_MACAPP_DEV_PREFIX}/qgis_core.framework/Versions/${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}/qgis_core\" \"$ENV{DESTDIR}${QGIS_MACAPP_DEV_PREFIX}/qgis_3d.framework/qgis_3d\")")
endif()

=== src/python/CMakeLists.txt ===
set(QGISPYTHON_SRCS qgispython.cpp qgspythonutilsimpl.cpp)

add_library (qgispython SHARED ${QGISPYTHON_SRCS})

# require c++17
target_compile_features(qgispython PRIVATE cxx_std_17)

target_include_directories(qgispython PUBLIC
  ${CMAKE_SOURCE_DIR}/src/python
  ${CMAKE_BINARY_DIR}/src/python
)
target_include_directories(qgispython SYSTEM PRIVATE
  ${Python_INCLUDE_DIRS}
)

set_target_properties(qgispython PROPERTIES
  CLEAN_DIRECT_OUTPUT 1
)

#generate unversioned libs for android
if (NOT ANDROID)
  set_target_properties(qgispython PROPERTIES
    VERSION ${COMPLETE_VERSION}
    SOVERSION ${COMPLETE_VERSION}
  )
endif()

target_link_libraries(qgispython
  qgis_core
  ${Python_LIBRARIES}
  ${OPENPTY_LIBRARY}
)

GENERATE_EXPORT_HEADER(
   qgispython
   BASE_NAME PYTHON
   EXPORT_FILE_NAME qgis_python.h
 )

if (APPLE)
  set_target_properties(qgispython PROPERTIES BUILD_WITH_INSTALL_RPATH TRUE)
endif()

install(TARGETS qgispython
  RUNTIME DESTINATION ${QGIS_BIN_DIR}
  LIBRARY DESTINATION ${QGIS_LIB_DIR}
)

=== tests/bench/CMakeLists.txt ===
########################################################
# Files

set (BENCH_SRCS
     main.cpp
     qgsbench.cpp
)

########################################################
# Build

add_executable (qgis_bench MACOSX_BUNDLE WIN32 ${BENCH_SRCS} )

# require c++17
target_compile_features(qgis_bench PRIVATE cxx_std_17)

include_directories(


  ${CMAKE_BINARY_DIR}
)

target_link_libraries(qgis_bench
  qgis_core
  ${QT_VERSION_BASE}::Core
  ${QT_VERSION_BASE}::Network
  ${QT_VERSION_BASE}::Svg
  ${QT_VERSION_BASE}::Xml
  ${OPTIONAL_QTWEBKIT}
  ${QT_VERSION_BASE}::Test
)

if(APPLE)
  target_link_libraries(qgis_bench qgis_native)

  set_target_properties(qgis_bench PROPERTIES
    INSTALL_RPATH ${CMAKE_INSTALL_PREFIX}/${QGIS_LIB_DIR}
    INSTALL_RPATH_USE_LINK_PATH true
  )
endif()

########################################################
# Install

install (TARGETS qgis_bench
  BUNDLE DESTINATION ${QGIS_BIN_DIR}
  RUNTIME DESTINATION ${QGIS_BIN_DIR}
)
if (APPLE)
  install (CODE "execute_process(COMMAND ln -sfn ../../../${QGIS_FW_SUBDIR} \"$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/${QGIS_BIN_DIR}/qgis_bench.app/Contents/Frameworks\")")
  install (CODE "execute_process(COMMAND ln -sfn ../../../../${QGIS_LIB_SUBDIR} \"$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/${QGIS_BIN_DIR}/qgis_bench.app/Contents/MacOS/lib\")")
  install (CODE "execute_process(COMMAND ln -sfn ../../../${QGIS_PLUGIN_SUBDIR}/.. \"$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/${QGIS_BIN_DIR}/qgis_bench.app/Contents/Plugins\")")
  install (CODE "execute_process(COMMAND ln -sfn ../../../${QGIS_DATA_SUBDIR} \"$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/${QGIS_BIN_DIR}/qgis_bench.app/Contents/Resources\")")
  # may not exist, unless BundleUtilities are used
  install (CODE "execute_process(COMMAND ln -sfn ../../../../share \"$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/${QGIS_BIN_DIR}/qgis_bench.app/Contents/MacOS/share\")")

endif()

=== tests/code_layout/CMakeLists.txt ===
# TESTSRC is relative to ${CMAKE_SOURCE_DIR}
macro (add_qgis_test_script TESTNAME TESTSRC)
  add_test(${TESTNAME} ${CMAKE_SOURCE_DIR}/${TESTSRC})
  set_tests_properties(${TESTNAME} PROPERTIES FIXTURES_REQUIRED SOURCETREE)
endmacro()

if(WITH_ASTYLE)
  add_qgis_test_script(qgis_indentation scripts/verify_indentation.sh)
endif()

add_qgis_test_script(qgis_banned_keywords tests/code_layout/test_banned_keywords.sh)
add_qgis_test_script(qgis_class_names tests/code_layout/test_class_names.sh)
add_qgis_test_script(qgis_licenses tests/code_layout/test_licenses.sh)
add_qgis_test_script(qgis_spelling scripts/spell_check/spell_test.sh)
add_qgis_test_script(qgis_defwindowtitle tests/code_layout/test_defwindowtitle.sh)
add_qgis_test_script(qgis_qvariant_no_brace_init tests/code_layout/test_qvariant_no_brace_init.sh)

add_qgis_test_script(qgis_shellcheck tests/code_layout/test_shellcheck.sh)
add_qgis_test_script(qgis_sipify tests/code_layout/sipify/test_sipify.sh)
add_qgis_test_script(qgis_sip_include tests/code_layout/sipify/test_sip_include.sh)
add_qgis_test_script(qgis_sip_uptodate tests/code_layout/sipify/test_sipfiles.sh)  # spellok

add_qgis_test_script(qgis_doxygen_order tests/code_layout/test_doxygen_layout.sh)

if (WITH_APIDOC)
  include(UsePythonTest)
  ADD_PYTHON_TEST(PyQgsDocCoverage ${CMAKE_SOURCE_DIR}/tests/code_layout/test_qgsdoccoverage.py)
  if (WITH_CORE)
    ADD_PYTHON_TEST(PyQgsSipCoverage ${CMAKE_SOURCE_DIR}/tests/code_layout/test_qgssipcoverage.py)
  endif()
endif()

=== src/server/services/wms/CMakeLists.txt ===

########################################################
# Files

set (WMS_SRCS
  qgswms.cpp
  qgswmsutils.cpp
  qgsdxfwriter.cpp
  qgspdfwriter.cpp
  qgswmsdescribelayer.cpp
  qgswmsgetcapabilities.cpp
  qgswmsgetcontext.cpp
  qgswmsgetfeatureinfo.cpp
  qgswmsgetlegendgraphics.cpp
  qgswmsgetmap.cpp
  qgswmsgetprint.cpp
  qgswmsgetschemaextension.cpp
  qgswmsgetstyles.cpp
  qgsmaprendererjobproxy.cpp
  qgsmediancut.cpp
  qgswmsrenderer.cpp
  qgswmsparameters.cpp
  qgswmsrestorer.cpp
  qgswmsrendercontext.cpp
  qgswmsrequest.cpp
  qgswmslayerinfos.cpp
)

set (WMS_HDRS
  qgswmsparameters.h
  qgswmsserviceexception.h
)

########################################################
# Build

set(_library_suffix_MODULE "")
set(_library_suffix_STATIC "_static")

foreach(_library_type MODULE STATIC)
  set(_library_name "wms${_library_suffix_${_library_type}}")

  add_library(${_library_name} ${_library_type} ${WMS_SRCS} ${WMS_HDRS})

  # require c++17
  target_compile_features(${_library_name} PRIVATE cxx_std_17)

  include_directories(${_library_name} SYSTEM PUBLIC
    ${POSTGRES_INCLUDE_DIR}
  )

  target_include_directories(${_library_name} PUBLIC
    ${CMAKE_SOURCE_DIR}/src/server
    ${CMAKE_SOURCE_DIR}/src/server/services
    ${CMAKE_SOURCE_DIR}/src/server/services/wms

    ${CMAKE_BINARY_DIR}/src/python
    ${CMAKE_BINARY_DIR}/src/analysis
    ${CMAKE_BINARY_DIR}/src/server
    ${CMAKE_CURRENT_BINARY_DIR}
  )

  target_link_libraries(${_library_name}
    qgis_core
    qgis_server
  )
endforeach()

# only install module, static library is for testing only
install(TARGETS wms
    RUNTIME DESTINATION ${QGIS_SERVER_MODULE_DIR}
    LIBRARY DESTINATION ${QGIS_SERVER_MODULE_DIR}
)

=== python/plugins/db_manager/db_plugins/postgis/plugins/qgis_topoview/CMakeLists.txt ===
file(GLOB PY_FILES *.py)

add_subdirectory(templates)

PLUGIN_INSTALL(db_manager db_plugins/postgis/plugins/qgis_topoview ${PY_FILES})

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
repacksuffix=+dfsg \
https://qgis.org/downloads/?C=N;O=A \
(?:.*/)?(?:rel|v|qgis)[\-\_](3\.40\.\d[\d\-\.]*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## qgis 3.40.11+17bookworm

=== debian/changelog ===
qgis (1:3.40.11+17bookworm) bookworm; urgency=medium

  * Release of 3.40.11
  * long term release 3.40.11 for bookworm

 -- Jürgen E. Fischer <jef@norbit.de>  Tue, 16 Sep 2025 06:13:52 +0000

qgis (3.40.10) unstable; urgency=medium

  * Release of 3.40.10

 -- Jürgen E. Fischer <jef@norbit.de>  Fri, 12 Sep 2025 14:07:04 +0200

## qgis 3.40.11+18trixie

=== debian/changelog ===
qgis (1:3.40.11+18trixie) trixie; urgency=medium

  * Release of 3.40.11
  * long term release 3.40.11 for trixie

 -- Jürgen E. Fischer <jef@norbit.de>  Tue, 16 Sep 2025 10:12:04 +0000

=== debian/control ===
Source: qgis
Maintainer: QGIS developers <qgis-developer@lists.osgeo.org>
Uploaders: Jürgen E. Fischer <jef@norbit.de>
Section: science
Priority: optional
Build-Depends:
 bison,
 ca-certificates,
 cmake (>= 2.8),
 debhelper (>= 9),
 dh-python,
 flex,
 gdal-bin,
 grass-dev,
 libexiv2-dev,
 libexpat1-dev,
 libfcgi-dev,
 libgdal-dev (>= 1.11),
 libgeos-dev (>= 3.0.0),
 libgsl-dev,
 libpq-dev,
 libproj-dev,
 libqca-qt5-2-dev,
 libqca-qt5-2-plugins,
 libqscintilla2-qt5-dev,
 libqt5opengl5-dev,
 libqt5serialport5-dev,
 libqt5sql5-sqlite,
 libqt5svg5-dev,
 libqt5xmlpatterns5-dev,
 libdraco-dev,
 qtmultimedia5-dev,
 libqwt-qt5-dev,
 libspatialindex-dev,
 libspatialite-dev,
 libsqlite3-dev,
 libsqlite3-mod-spatialite,
 libzip-dev,
 nlohmann-json3-dev,
 ninja-build,
 ocl-icd-opencl-dev,
 opencl-headers,
 pkgconf,
 pyqt5-dev-tools,
 pyqt5-dev,
 pyqt5.qsci-dev,
 python3-all-dev,
 python3-dev,
 python3-gdal,
 python3-mock,
 python3-nose2,
 python3-owslib,
 python3-psycopg2,
 python3-pyqt5,
 python3-pyqt5.qsci,
 python3-pyqt5.qtmultimedia,
 python3-pyqt5.qtpositioning,
 python3-pyqt5.qtserialport,
 python3-pyqt5.qtsql,
 python3-pyqt5.qtsvg,
 python3-pyqtbuild,
 sip-tools,
 python3-termcolor,
 python3-yaml,
 qt3d5-dev,
 qt3d-assimpsceneimport-plugin,
 qt3d-defaultgeometryloader-plugin,
 qt3d-gltfsceneio-plugin,
 qt3d-scene2d-plugin,
 qtkeychain-qt5-dev,
 qtbase5-dev,
 qtbase5-private-dev,
 qtpositioning5-dev,
 qttools5-dev-tools,
 qttools5-dev,
 libprotobuf-dev,
 protobuf-compiler,
 libzstd-dev,
 git,
 graphviz,
 xvfb,
 xauth,
 xfonts-base,
 xfonts-100dpi,
 xfonts-75dpi,
 xfonts-scalable,
 spawn-fcgi,
 poppler-utils,
 lighttpd,
 locales
Build-Conflicts:
 libqgis-dev,
 qgis-dev
Standards-Version: 3.9.7
Vcs-Browser: https://github.com/qgis/QGIS/
Vcs-Git: https://github.com/qgis/QGIS.git
Homepage: https://qgis.org/
Rules-Requires-Root: no

Package: qgis
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 python3-qgis (= ${binary:Version}),
 qgis-providers (= ${binary:Version}),
 qgis-common (= ${source:Version})
Recommends:
 qgis-plugin-grass
Suggests: gpsbabel
Conflicts: uim-qt3
Description: Geographic Information System (GIS)
 A Geographic Information System (GIS) manages, analyzes, and displays
 databases of geographic information. QGIS supports shape file viewing and
 editing, spatial data storage with PostgreSQL/PostGIS, projection on-the-fly,
 map composition, and a number of other features via a plugin interface. QGIS
 also supports display of various georeferenced raster and Digital Elevation
 Model (DEM) formats including GeoTIFF, Arc/Info ASCII Grid, and USGS ASCII
 DEM.

Package: qgis-common
Architecture: all
Depends:
 libjs-jquery,
 libjs-leaflet,
 qml-module-qtcharts,
 ${misc:Depends}
Description: QGIS - architecture-independent data
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains architecture-independent supporting data files for use
 with QGIS.

Package: libqgis-3d3.40.11
Architecture: any
Section: libs
Depends:
 qt3d-assimpsceneimport-plugin,
 qt3d-defaultgeometryloader-plugin,
 qt3d-gltfsceneio-plugin,
 qt3d-scene2d-plugin,
 ${shlibs:Depends},
 ${misc:Depends}
Description: QGIS - shared 3d library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared 3d library.

Package: libqgis-analysis3.40.11
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: QGIS - shared analysis library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared analysis library.

Package: libqgis-app3.40.11
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Replaces: libqgis3.40.11
Description: QGIS - shared app library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared app library.

Package: libqgis-core3.40.11
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: QGIS - shared core library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared core library.

Package: libqgis-gui3.40.11
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: QGIS - shared gui library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared gui library.

Package: libqgis-native3.40.11
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: QGIS - shared native gui library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared native gui library.

Package: libqgis-server3.40.11
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: QGIS - shared server library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared server library.

Package: libqgisgrass8-3.40.11
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: QGIS - shared grass library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared grass library.

Package: libqgispython3.40.11
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Replaces: libqgis3.40.11
Description: QGIS - shared Python library
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the shared Python library.

Package: libqgis-customwidgets
Architecture: any
Depends:
 qttools5-dev-tools,
 ${shlibs:Depends},
 ${misc:Depends}
Description: QGIS custom widgets for Qt Designer
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains a library to use specific QGIS widgets in Qt Designer.

Package: libqgis-dev
Architecture: any
Section: libdevel
Depends:
 grass-dev,
 libexiv2-dev,
 libexpat1-dev,
 libgdal-dev (>= 1.11),
 libgeos-dev (>= 3.0.0),
 libgsl-dev,
 libpq-dev,
 libproj-dev,
 libqca-qt5-2-dev,
 libqgis-3d3.40.11 (= ${binary:Version}),
 libqgis-analysis3.40.11 (= ${binary:Version}),
 libqgis-app3.40.11 (= ${binary:Version}),
 libqgis-core3.40.11 (= ${binary:Version}),
 libqgis-gui3.40.11 (= ${binary:Version}),
 libqgis-native3.40.11 (= ${binary:Version}),
 libqgis-server3.40.11 (= ${binary:Version}),
 libqgisgrass8-3.40.11 (= ${binary:Version}),
 libqgispython3.40.11 (= ${binary:Version}),
 libqscintilla2-qt5-dev,
 libqt5svg5-dev,
 libqwt-qt5-dev,
 libsqlite3-dev,
 nlohmann-json3-dev,
 pyqt5-dev-tools,
 pyqt5.qsci-dev,
 python3-dev,
 python3-pyqt5,
 python3-pyqt5.qsci,
 python3-pyqt5.qtsql,
 qtbase5-dev,
 qtpositioning5-dev,
 qttools5-dev,
 ${misc:Depends}
Recommends: libqgis-customwidgets
Provides: qgis-dev
Description: QGIS - development files
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the headers and libraries needed to develop plugins for
 QGIS.

Package: qgis-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
 libqgis-3d3.40.11 (= ${binary:Version}),
 libqgis-analysis3.40.11 (= ${binary:Version}),
 libqgis-app3.40.11 (= ${binary:Version}),
 libqgis-core3.40.11 (= ${binary:Version}),
 libqgis-gui3.40.11 (= ${binary:Version}),
 libqgis-native3.40.11 (= ${binary:Version}),
 libqgis-server3.40.11 (= ${binary:Version}),
 libqgisgrass8-3.40.11 (= ${binary:Version}),
 libqgispython3.40.11 (= ${binary:Version}),
 ${misc:Depends}
Suggests: gdb
Description: QGIS - debugging symbols
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains debugging symbols.

Package: qgis-provider-grass
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: GRASS provider for QGIS
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This provider enables GRASS data access in QGIS.

Package: qgis-plugin-grass
Architecture: any
Depends:
 qgis (= ${binary:Version}),
 qgis-plugin-grass-common (= ${source:Version}),
 qgis-provider-grass (= ${binary:Version}),
 grass-core,
 ${grass:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: GRASS plugin for QGIS
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This plugin enables GRASS data access in QGIS.

Package: qgis-plugin-grass-common
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends}
Breaks: qgis-common (<< 1.5)
Replaces: qgis-common (<< 1.5)
Description: GRASS plugin for QGIS - architecture-independent data
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains architecture-independent supporting data files for use
 with the QGIS GRASS plugin.

Package: python3-qgis
Architecture: any
Section: python
Depends:
 python3-qgis-common (= ${source:Version}),
 qgis-providers (= ${binary:Version}),
 libqgispython3.40.11,
 libsqlite3-mod-spatialite,
 python3-jinja2,
 python3-owslib,
 python3-plotly,
 python3-psycopg2,
 python3-pygments,
 python3-pyproj,
 python3-pyqt5,
 python3-pyqt5.qsci,
 python3-pyqt5.qtsql,
 python3-pyqt5.qtmultimedia,
 python3-pyqt5.qtpositioning,
 python3-pyqt5.qtsvg,
 python3-pyqt5.qtserialport,
 python3-yaml,
 python3-lxml,
 ${python3:Depends},
 ${shlibs:Depends},
 ${sip3:Depends},
 ${misc:Depends}
Breaks: python-qgis (<< ${binary:Version})
Replaces: python-qgis (<< ${binary:Version})
Description: Python bindings to QGIS
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the files for the Python support.

Package: python3-qgis-common
Architecture: all
Section: python
Depends:
 gdal-bin,
 python3-gdal,
 python3-matplotlib,
 libqgis-customwidgets (>= ${source:Version}),
 ${python3:Depends},
 ${misc:Depends}
Breaks: python-qgis-common (<< ${source:Version})
Replaces: python-qgis-common (<< ${source:Version})
Suggests:
 saga
Description: Python bindings to QGIS - architecture-independent files
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains architecture-independent files for the QGIS Python
 bindings.

Package: qgis-providers
Architecture: any
Pre-Depends:
 dpkg (>= 1.16.1),
 ${misc:Pre-Depends}
Depends:
 qgis-providers-common (= ${source:Version}),
 libqca-qt5-2-plugins,
 libqt5sql5-sqlite,
 qt5-image-formats-plugins,
 qt5-image-formats-plugin-pdf,
 ${shlibs:Depends},
 ${misc:Depends}
Breaks: qgis (<= 1.6)
Replaces: qgis (<= 1.6)
Description: collection of data providers to QGIS
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .
 This package contains the provider plugins for QGIS.

Package: qgis-providers-common
Architecture: all
Depends: ${misc:Depends}
Breaks: qgis-common (<= 1.6)
Replaces: qgis-common (<= 1.6)
Description: collection of data providers to QGIS - architecture-independent files
 QGIS is a Geographic Information System (GIS) which manages, analyzes and
 display databases of geographic information.
 .

## qgis 3.40.11+36jammy

=== debian/changelog ===
qgis (1:3.40.11+36jammy) jammy; urgency=medium

  * Release of 3.40.11
  * long term release 3.40.11 for jammy

 -- Jürgen E. Fischer <jef@norbit.de>  Mon, 15 Sep 2025 21:08:42 +0000

## qgis 3.40.11+40noble

=== debian/changelog ===
qgis (1:3.40.11+40noble) noble; urgency=medium

  * Release of 3.40.11
  * long term release 3.40.11 for noble

 -- Jürgen E. Fischer <jef@norbit.de>  Tue, 16 Sep 2025 00:43:30 +0000

## qgis 3.40.11+40noble-ubuntugis

=== debian/changelog ===
qgis (1:3.40.11+40noble-ubuntugis) noble; urgency=medium

  * Release of 3.40.11
  * long term release 3.40.11 for noble-ubuntugis with ubuntugis
    dependencies

 -- Jürgen E. Fischer <jef@norbit.de>  Tue, 16 Sep 2025 02:30:07 +0000

## qgis 3.40.11+42plucky

=== debian/changelog ===
qgis (1:3.40.11+42plucky) plucky; urgency=medium

  * Release of 3.40.11
  * long term release 3.40.11 for plucky

 -- Jürgen E. Fischer <jef@norbit.de>  Tue, 16 Sep 2025 04:25:04 +0000

## qgis 3.40.11+43questing

=== debian/changelog ===
qgis (1:3.40.11+43questing) questing; urgency=medium

  * Release of 3.40.11
  * long term release 3.40.11 for questing

 -- Jürgen E. Fischer <jef@norbit.de>  Sat, 20 Sep 2025 01:36:54 +0000

## qgis 3.40.11+99sid

=== debian/changelog ===
qgis (1:3.40.11+99sid) sid; urgency=medium

  * Release of 3.40.11
  * long term release 3.40.11 for sid

 -- Jürgen E. Fischer <jef@norbit.de>  Tue, 16 Sep 2025 13:57:15 +0000

=== debian/control ===
--- 
+++ 
@@ -77,6 +77,7 @@
  protobuf-compiler,
  libzstd-dev,
  git,
+ doxygen,
  graphviz,
  xvfb,
  xauth,
